=== debian/changelog ===
avidemux (2.7.8-3~mx21+1) mx; urgency=medium

  * Add fix-i386-build.patch.
  * Use non-free instead of nonfree in Section.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 10 Dec 2021 14:25:01 -0800

avidemux (2.7.8-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop epoch in version.
  * Change to nonfree because of inclusion of nonfree fdk-aac.
  * Don't build against aften, apparently we can't include it in our repos
    because of patents.
  * Make most recommended and suggested packages into explicit dependencies, 
    except for those that create circular dependencies.
  * debian/control: add "avidemux" metapackage that installs the QT GUI.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 Dec 2021 12:18:06 -0800

avidemux (1:2.7.8-2~xtradeb3groovy1) groovy; urgency=medium

  * Rebuild for groovy

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 15 May 2021 12:09:56 +0000

avidemux (1:2.7.8-2~xtradeb3) focal; urgency=medium

  * Add libavidemux6-cli and libavidemux6 depends to avidemux-cli

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 15 May 2021 12:07:37 +0000

avidemux (1:2.7.8-2~xtradeb2) focal; urgency=medium

  * Add avidemux-cli recommends to avidemux-jobs-qt

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 13 May 2021 11:29:29 +0000

avidemux (1:2.7.8-2~xtradeb1) focal; urgency=medium

  * Remove obsolete patches and align version to represent introduced patches

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 14 Mar 2021 11:36:31 +0000

avidemux (1:2.7.8-1~xtradeb3) focal; urgency=medium

  * No real change happened. Increasing version for alignment purposes.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 14 Mar 2021 11:26:31 +0000

avidemux (1:2.7.8-1~xtradeb2) focal; urgency=medium

  * Only patches
   - Remove obsolete patches
    - 02-alsa_output.diff
    - 04-xvid-detection.diff
    - 03-ADM_audiofilter-normalize-missing_pow10f_function.patch
   - Add new patches
    - [ffNvEnc] Resolve name clash between H264 and HEVC encoders created by
      commit 284b2afd7b54a4fc524f8390204742676cd3e4a7
    - [Qt] Ensure text margins in current time display are zero

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 14 Mar 2021 10:36:49 +0000

avidemux (1:2.7.8-1~xtradeb1) focal; urgency=medium

  * New upstream release.
  * New Features
    Many new video filters added by courtesy of szlldm
    * A dedicated MOV muxer is now available, replacing silent fallback to MOV
      muxing mode within the MP4 muxer.
    * A subset of color info relevant for HDR support is retained in copy mode
      when both input and output video are stored in Matroska / WebM containers.
      Settings to add or override color info have been added to MKV and WebM
      muxers.
    * The indexer in the MPEG-TS demuxer now detects resolution changes in
      MPEG-2 and H.264 streams which are entirely unsupported and suggests
      aborting indexing. If the user chooses to continue, it records file
      offsets of all resolution changes to the log. This allows advanced users
      to split the file at these offsets using other tools like head and tail
      into chunks which can be processed with Avidemux.
    * YUV varieties of the lossless Ut Video codec are supported now for
      decoding and encoding via bundled FFmpeg libraries. Uncompressed 24-bit
      audio is now supported for a subset of file formats.
    * Limited support for 7.1 channel layout. Decode and stream copy support
      for XLL substream in DTS audio tracks.
    * Audio properties are now updated on resuming playback. This allows one to
      start saving after an audio format change. When audio format changes
      during playback, the FFmpeg-based audio decoder will output silence and
      keep format rather than producing garbage.
    * An option to keep the identity of markers A and B instead of swapping
      them automatically has been added to Preferences.
    * The keyboard shortcut for "Delete" action has been made customizable with
      alternative keyboard shortcuts enabled.
  * Other Enhancements
    * Multi-threaded video decoding is now available for the bundled FFmpeg. On
      powerful multi-core CPUs, this can drastically improve decoding
      performance. A maximum of 8 threads can be created, but a conservative
      custom upper limit of 4 is recommended. Values above 8 cause decoding
      failures. Multi-threaded decoding and HW accelerated decoding are
      mutually exclusive, changes require application restart to have effect.
    * The maximum supported resolution has been increased to 8192x8192
    * The bundled FFmpeg has been updated to the 4.2.4 release.
    * Non-standard display aspect ratios can be configured in MP4 muxer by
      specifying display width.
    * MP4 muxer accepts now MPEG-1 and MPEG-2.
    * The configuration dialog of the x265 video encoder plugin enjoyed
      massive cleanup and refactoring by Trent Piepho , more Adaptive
    * Quantization Variance methods have been added.
    * Python interface has been substantially extended, includes now methods to
      query segment properties, the number and filenames of loaded videos, PTS
      of keyframes, methods to seek to time with preview updated, to open file
      dialogs filtered by extension and a built-in method to split filename
      extension from a given path.
    * Scripting shell now supports unicode characters.
    * On macOS, files can be loaded via Finder context menu or by dropping them
      onto Avidemux icon in the dock.
    * On Linux, Jobs GUI and the CLI executable can be launched from AppImage
      by creating a symlink with _jobs or _cli in filename respectively and
      running the AppImage via this symlink.
  * Bugfixes
    * Rate control was broken in some video encoders, especially in VP9 and in
      NVENC-based encoders, fixed now.
    * Multiple issues in cut point checks for H.264 and HEVC streams in copy

