=== debian/control ===
Source: avidemux
Section: non-free/video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jhonny Oliveira <jhonny.oliveira@gmail.com>
# XSBC-Original-Maintainer: Thanh Tung Nguyen <thngtong@gmail.com>
Homepage: http://avidemux.org
Standards-Version: 4.5.0
Build-Depends: cmake (>= 3.0),
               debhelper-compat (= 12),
               dh-exec,
               liba52-0.7.4-dev,
#               libaften-dev,
               libaom-dev,
               libasound2-dev,
               libass-dev,
               libavutil-dev,
               libdca-dev,
               libfaac-dev,
               libfdk-aac-dev,
               libfontconfig1-dev,
               libfribidi-dev,
               libmad0-dev,
               libmp3lame-dev,
               libogg-dev,
               libopus-dev,
               libpng-dev,
               libpostproc-dev,
               libpulse-dev,
               libsqlite3-dev,
               libswscale-dev,
               libva-dev,
               libvdpau-dev,
               libvorbis-dev,
               libvpx-dev,
               libx264-dev,
               libx265-dev,
               libxv-dev,
               libxvidcore-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-dev-tools,
               yasm
Vcs-Git: git://github.com/mean00/avidemux2.git
Vcs-Browser: http://github.com/mean00/avidemux2

Package: avidemux
Architecture: any
Depends: ${misc:Depends}, avidemux-qt
Description: Free video editor, GUI metapackage
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package installs the QT 5 GUI version. Use avidemux-cli for the CLI.

Package: avidemux-cli
Architecture: any
Depends: avidemux-plugins-cli,
         libavidemux6 (= ${binary:Version}),
         libavidemux6-cli (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: avidemux2.7-cli
Replaces: avidemux2.7-cli
# Recommends: avidemux-plugins-cli
Description: Free video editor - command line version
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the command line interface and a Perl script to display
 the help message without the application log.

Package: avidemux-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: avidemux-common (<< 2.6), avidemux2.7-common
Replaces: avidemux (<= 1:2.4.0), avidemux2.7-common
Description: Free video editor - Common files
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the common files.

Package: avidemux-jobs-qt
Architecture: any
Depends: avidemux-common, avidemux-cli, ${misc:Depends}, ${shlibs:Depends}
Conflicts: avidemux2.7-jobs-qt5
Replaces: avidemux2.7-jobs-qt5
# Recommends: avidemux-cli
Description: Free video editor - Jobs (Qt 5)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the jobs application with the Qt 5 UI.

Package: avidemux-plugins-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         avidemux-plugins-common, avidemux-plugins-settings
Recommends: avidemux-cli (= ${binary:Version})
Conflicts: avidemux-plugins,
           avidemux2.7-plugins-cli,
           avidemux2.7-unstable-plugins-cli
Replaces: avidemux-plugins, avidemux2.7-plugins
Description: Free video editor - CLI plugins
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package includes plugins to extend the functionalites of Avidemux CLI.

Package: avidemux-plugins-common
Architecture: any
Depends: avidemux-cli (= ${binary:Version}) | avidemux-qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: avidemux-plugins, avidemux2.7-plugins-common
Replaces: avidemux-plugins, avidemux2.7-plugins-common
Description: Free video editor - common plugins for all UIs
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package includes common plugins to all UIs to extend the functionalities
 of Avidemux.

Package: avidemux-plugins-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: avidemux-plugins, avidemux2.7-plugins-qt5
Replaces: avidemux-plugins, avidemux2.7-plugins-qt5
Description: Free video editor - Qt 5 plugins
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package includes plugins to extend the functionalities of Avidemux Qt 5.

Package: avidemux-plugins-settings
Architecture: any
Depends: avidemux-plugins-cli (= ${binary:Version}) | avidemux-plugins-qt (= ${binary:Version}),
         ${misc:Depends}
Conflicts: avidemux2.7-plugins-settings
Replaces: avidemux2.7-plugins-settings
Description: Free video editor - settings for the x264 and x265 plugins
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package provides presets for the x264 and x265 plugins.

Package: avidemux-qt
Architecture: any
Depends: avidemux-common,
         avidemux-jobs-qt,
         avidemux-qt-data,
         libavidemux6 (= ${binary:Version}),
         libavidemux6-qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         avidemux-plugins-common, avidemux-plugins-qt
Suggests: vdpau-va-driver | xvba-va-driver | i965-va-driver
Conflicts: avidemux2.7-qt5
Replaces: avidemux2.7-qt5
Description: Free video editor - QT 5 version
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 Avidemux QT 5 can use hardware accelerated decoding depending on your hardware
 (VDPAU for Nvidia, XVBA for AMD, LibVA for Intel).
 .
 This package contains the QT 5 interface.

Package: avidemux-qt-data
Architecture: all
Depends: ${misc:Depends}
Recommends: avidemux-qt
Conflicts: avidemux2.7-qt5-data
Replaces: avidemux2.7-qt5-data
Description: Free video editor - QT 5 version (internationalization files)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 Avidemux QT 5 can use hardware accelerated decoding depending on your hardware
 (VDPAU for Nvidia, XVBA for AMD, LibVA for Intel).
 .
 This package contains the translation files for Avidemux QT 5.

Package: libavidemux6
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libavidemux-6, libavidemux2.7-6
Replaces: libavidemux-6, libavidemux2.7-6
Description: Free video editor - shared libraries
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the shared libraries.

Package: libavidemux6-cli
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libavidemux-cli-6, libavidemux2.7-cli-6
Replaces: libavidemux-cli-6, libavidemux2.7-cli-6
Description: Free video editor - shared libraries
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the shared libraries needed to run the command-line
 interface.

Package: libavidemux-cli-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libavidemux-dev (= ${binary:Version}),
         libavidemux6-cli (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libavidemux2.7-cli-dev
Replaces: libavidemux2.7-cli-dev
Description: Free video editor (devel)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the headers to build your own plugins using the
 command-line interface.
 .
 http://www.avidemux.org/admWiki/doku.php?id=build:devel_2.6

Package: libavidemux-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libavidemux6 (= ${binary:Version}),
         libsqlite3-dev (>= 3.5.9),
         libva-dev (>= 1.2.0),
         ${misc:Depends}
Conflicts: libavidemux2.7-dev
Replaces: libavidemux2.7-dev
Description: Free video editor - development files
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the headers to build your own plugins.
 .
 http://www.avidemux.org/admWiki/doku.php?id=build:devel_2.6

Package: libavidemux6-qt
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libavidemux-qt-6, libavidemux2.7-qt5-6
Replaces: libavidemux-qt-6, libavidemux2.7-qt5-6
Description: Free video editor - shared libraries
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the shared libraries needed to run the QT 5 interface.

Package: libavidemux-qt-dev
Architecture: any
