=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

BUILDDIR=build
INSTALLDIR=debian/tmp

%:
	dh $@

override_dh_auto_clean:
	rm -rvf $(BUILDDIR)* install avidemux/qt5/common
	rm -vf avidemux/qt5/xdg_data/org.avidemux.Avidemux.appdata.xml

override_dh_auto_build:
	chmod +x bootStrap.bash
	./bootStrap.bash --with-system-libass --with-system-liba52 --with-system-libmad

override_dh_auto_test:
	for dir in `ls -d $(BUILDDIR)*`; \
		do \
			dh_auto_test -B$$dir --parallel; \
		done

override_dh_auto_install:
	for dir in `ls -d $(BUILDDIR)*`; \
		do \
			dh_auto_install -B$$dir --parallel --destdir="$(INSTALLDIR)"; \
		done

override_dh_install:
	dh_install -pavidemux-plugins-common \
		-XpluginSettings -XshaderDemo -Xcli -Xqt5
	dh_install -plibavidemux-dev -Xcli -Xqt5
	dh_install -O--parallel --remaining-packages

override_dh_strip:
	dh_strip --no-automatic-dbgsym
